Bug 119814 - Netdump not starting properly kernel error
Netdump not starting properly kernel error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Linda Wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 05:18 EST by Nick Thorley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Thorley 2004-04-02 05:18:07 EST
Description of problem:
I have added the netdump-server package on a machine and set it up
according to the instructions.  I have then installed netdump (client)
on another machine and set the ip's accordingly.  I have started both
and the client connects to the server and does the usual rsa key
business and after clicking yes asks for the password which when
correctly entered continues.  You then get the following kernel error
initializing netdump
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
invalid argument syntax for netdump_target_eth_byte0: 'x'
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
insmod /lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o
failed
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
insmod netconsole failed

There is nothing that is not standard on this box - all updates added
from fedora and kernel updates are standard.


Version-Release number of selected component (if applicable):


How reproducible:
Install server and client and start

Steps to Reproduce:
1. Install server and setup
2. Install client and setup
3. Start both
  
Actual results:
initializing netdump
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
invalid argument syntax for netdump_target_eth_byte0: 'x'
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
insmod /lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o
failed
/lib/modules/2.4.22-1.2174.nptl/kernel/drivers/net/netconsole.o:
insmod netconsole failed

Expected results:
Service starts and starts to log

Additional info:
Comment 2 Nick Thorley 2004-04-04 11:19:11 EDT
The version being used is the standard one from fedora.redhat.com
which is 0.6.9
Comment 3 Dave Anderson 2004-04-05 09:11:55 EDT
Yeah, that one's a bit old.  Several configuration-related fixes
have gone into the netdump package in the RHEL2.1 and RHEL3.0
releases.  0.6.11-2 contains the latest updates, and should work in a
Fedora environment.  Eventually they'll make it into a Fedora release,
but for now, I put source and binary RPMs here:

 http://people.redhat.com/anderson/netdump


Comment 4 Matthew Miller 2006-07-11 13:28:06 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 5 John Thacker 2006-10-27 13:47:05 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Pretty sure that this got fixed by FC3.

Note You need to log in before you can comment on or make changes to this bug.